Description

It seems that there is some logic defect in how permissions work in case if user wants to save query which is applicable on global

level (ie for all projects) and make it public

Right now only user with admin rights can manage those queries (ie make them public and edit them)

I think it makes sense to add permission so users will be able to manage global public queries.

I am using r3280 with Ruby 1.8.7 and Rails 2.3.5

History

#1 - 2010-01-05 19:09 - Jean-Philippe Lang

- Subject changed from Only user with admin rights can create and edit public queries for all projects to Permission for non-admin users to manage

cross-project public queries

#2 - 2010-01-05 19:09 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#3 - 2010-07-09 20:55 - Felix Schäfer

Were you thinking about removing the lock on public queries for all projects for users with the "manage public queries" permission, or about a new

permission?
